@echo off
setlocal
set csc=%windir%\Microsoft.NET\Framework64\v2.0.50727\csc.exe
if not exist "%csc%" (
  set csc=%windir%\Microsoft.NET\Framework\v2.0.50727\csc.exe
)
rem to speed up search do 1st try a seach at most common place
if not exist "%csc%" (
  set csc=
  for /f "delims=" %%a in ('dir /b /s %windir%\Microsoft.NET\Framework64\csc.exe') do set csc=%%a
)
if not exist "%csc%" (
  set csc=
  for /f "delims=" %%a in ('dir /b /s %windir%\Microsoft.NET\Framework\csc.exe') do set csc=%%a
)
rem if that failed then try whole %windir%
if "%csc%" == "" (
  for /f "delims=" %%a in ('dir /b /s %windir%\csc.exe') do set csc=%%a
)
if not exist "%csc%" (
  echo CSC.EXE not found!
) else (
  echo Found: %csc%
  %csc% -nologo %*
)

